# $Revision: 1.23 $, $Date: 2008/07/10 20:19:20 $
%define		ocaml_ver	1:3.09.2
Summary:	Lexer for wide encodings
Summary(pl.UTF-8):	Lexer dla dużych kodowań znaków
Name:		ocaml-wlex
Version:	20030827
Release:	11
License:	LGPL
Group:		Development/Tools
URL:		http://www.eleves.ens.fr/home/frisch/soft
# note: no / at the end of URL
Source0:	http://www.eleves.ens.fr/home/frisch/info/wlex-%{version}.tar.gz
# Source0-md5:	4ae79d74436f1004582f8ca12b91ecd9
Patch0:		%{name}-lex-src.patch
Patch1:		%{name}-patch.patch
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-findlib
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lexer generator for wide encodings (like UTF8) and the associated
runtime system. This package contains files needed to run bytecode
executables using this library.

%description -l pl.UTF-8
Generator lekserów dla dużych kodowań znaków (jak UTF8) oraz system
uruchomieniowy. Pakiet ten zawiera binaria potrzebne do uruchamiania
programów używających tej biblioteki.

%package devel
Summary:	Lexer for wide encodings - development part
Summary(pl.UTF-8):	Lexer dla dużych kodowań znaków - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
Lexer generator for wide encodings (like UTF8) and the associated
runtime system. Lexer generator is covered by QPL (as it was derived
from part of OCaml), runtime system is covered by LGPL. This package
contains files needed to develop OCaml programs using this library.

%description devel -l pl.UTF-8
Generator lekserów dla dużych kodowań znaków (jak UTF8) oraz system
uruchomieniowy. Generator jest rozpowszechniany na licencju QPL (jako
że jest on bazowany na części OCamla), system uruchomieniowy natomiast
jest rozpowszechniany na zasadach LGPL. Pakiet ten zawiera pliki
niezbędne do tworzenia programów używających tej biblioteki.

%prep
%setup -q -n wlex-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__make} wlex runtime

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/ocaml/{site-lib/wlexing,stublibs}}

%{__make} install \
	OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml \
	INSTALL_BIN=$RPM_BUILD_ROOT%{_bindir}

mv -f $RPM_BUILD_ROOT%{_libdir}/ocaml/wlexing/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/wlexing/
echo 'directory = "+wlexing"' >> $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/wlexing/META

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(644,root,root,755)
%doc README RELEASE *.mli
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/ocaml/wlexing
%{_libdir}/ocaml/wlexing/*.cm[ixa]*
%{_libdir}/ocaml/wlexing/*.a
%{_examplesdir}/%{name}-%{version}
%{_libdir}/ocaml/site-lib/wlexing

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ocaml-wlex.spec,v $
Revision 1.23  2008/07/10 20:19:20  megabajt
- release 11

Revision 1.22  2007/02/13 07:16:50  glen
- tabs in preamble

Revision 1.21  2007/02/12 00:49:14  baggins
- converted to UTF-8

Revision 1.20  2006/05/31 12:53:48  glen
- rel 10 (rebuild with ocaml-3.09.2)

Revision 1.19  2006/04/16 10:20:54  glen
- ocaml epoch is 1

Revision 1.18  2006/04/15 22:11:00  glen
- ocaml 3.09.1

Revision 1.17  2005/12/12 16:38:18  baggins
- revert update, there is something fishy about this new version
- looks like new version is broken beyond fixing
- release 7

Revision 1.14  2005/12/10 23:18:17  baggins
- removed warn-error (some warnings on ocaml 3.09)

Revision 1.13  2005/12/10 18:49:32  baggins
- release 5 for ocaml 3.09.0

Revision 1.12  2005/10/11 20:25:55  paszczus
- release up to rebuild with new ocaml

Revision 1.11  2005/03/17 22:42:45  paszczus
- release up to rebuild with ocaml

Revision 1.10  2004/09/02 14:36:06  snurf
- typos / formatting / etc.

Revision 1.9  2004/08/27 23:36:00  havner
- [mass commit], rel up for rebuild with ocaml

Revision 1.8  2003/09/03 21:56:18  malekith
- info/ directory has more files the webpage said -- up to 20030827 (3.07beta2)

Revision 1.7  2003/09/03 21:39:43  malekith
- release 2 for ocaml 3.07
- fixed URL
- WARNING: there is new version for 3.07 beta1 but it doesn't work with
  beta2 sources, so we'll just stay with old version for now, but it may be
  severly broken!

Revision 1.6  2003/07/11 12:28:23  ankry
- URL fixes and other cosmetics

Revision 1.5  2003/05/29 11:57:44  malekith
- up to 20021107

Revision 1.4  2003/05/28 13:00:01  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:51:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2002/11/27 22:06:25  juandon
- new %%doc

Revision 1.1  2002/05/13 11:47:06  malekith
- initial; from scratch

